#
# Conditional build:
%bcond_with	tests		# unit tests (one needs network)
#
Summary:	AWS C Authentication library
Summary(pl.UTF-8):	Biblioteka AWS C Authentication
Name:		aws-c-auth
Version:	0.9.0
Release:	1
License:	Apache v2.0
Group:		Libraries
#Source0Download: https://github.com/awslabs/aws-c-auth/releases
Source0:	https://github.com/awslabs/aws-c-auth/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	19ddca6af929f72467a473f855fc3205
URL:		https://github.com/awslabs/aws-c-auth
BuildRequires:	aws-c-cal-devel
BuildRequires:	aws-c-common-devel
BuildRequires:	aws-c-http-devel
BuildRequires:	aws-c-io-devel
BuildRequires:	aws-c-sdkutils-devel
BuildRequires:	cmake >= 3.9
BuildRequires:	gcc >= 5:3.2
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C99 library implementation of AWS client-side authentication: standard
credentials providers and signing.

%description -l pl.UTF-8
Implementacja biblioteki C99 uwierzytelniania AWS po stronie
klienckiej: standardowe dostarczanie danych uwierzytelniających i
podpisywanie.

%package devel
Summary:	Header files for AWS C Authentication library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki AWS C Authentication
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	aws-c-cal-devel
Requires:	aws-c-common-devel
Requires:	aws-c-http-devel
Requires:	aws-c-io-devel
Requires:	aws-c-sdkutils-devel

%description devel
Header files for AWS C Authentication library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki AWS C Authentication.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	%{!?with_tests:-DBUILD_TESTING=OFF}

%{__make}

%if %{with tests}
%{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NOTICE README.md
%attr(755,root,root) %{_libdir}/libaws-c-auth.so.1.0.0

%files devel
%defattr(644,root,root,755)
%{_libdir}/libaws-c-auth.so
%{_includedir}/aws/auth
%{_libdir}/cmake/aws-c-auth
%changelog
* Sun Jun 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aws-c-auth.git;a=log;h=auto/th/aws-c-auth-0.9.0-1

* Sat Jun 14 2025 Jakub Bogusz <qboosh@pld-linux.org> 842e189
- proper description

* Sat Jun 14 2025 Jakub Bogusz <qboosh@pld-linux.org> bd440a3
- new

